--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: logger
  rw: W
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: instance
- !ruby/object:RI::MethodSummary 
  name: reset_instance
comment: 
constants: []

full_name: Mocha::Mockery
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: logger
- !ruby/object:RI::MethodSummary 
  name: mocha_inspect
- !ruby/object:RI::MethodSummary 
  name: mock_impersonating
- !ruby/object:RI::MethodSummary 
  name: mock_impersonating_any_instance_of
- !ruby/object:RI::MethodSummary 
  name: mocks
- !ruby/object:RI::MethodSummary 
  name: named_mock
- !ruby/object:RI::MethodSummary 
  name: new_state_machine
- !ruby/object:RI::MethodSummary 
  name: on_stubbing
- !ruby/object:RI::MethodSummary 
  name: on_stubbing_method_on_non_mock_object
- !ruby/object:RI::MethodSummary 
  name: on_stubbing_method_unnecessarily
- !ruby/object:RI::MethodSummary 
  name: on_stubbing_non_existent_method
- !ruby/object:RI::MethodSummary 
  name: on_stubbing_non_public_method
- !ruby/object:RI::MethodSummary 
  name: state_machines
- !ruby/object:RI::MethodSummary 
  name: stubba
- !ruby/object:RI::MethodSummary 
  name: teardown
- !ruby/object:RI::MethodSummary 
  name: unnamed_mock
- !ruby/object:RI::MethodSummary 
  name: verify
name: Mockery
superclass: Object
